package java.lang;

import java.io.ObjectStreamField;
import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.nio.charset.Charset;
import java.util.Comparator;
import java.util.Locale;

public final class String implements Serializable, Comparable<String>, CharSequence {

    private static class CaseInsensitiveComparator implements Comparator<String>, Serializable {

        private static final long serialVersionUID = 8575799808933029326L;

        private CaseInsensitiveComparator() {
            //compiled code
            throw new RuntimeException("Compiled Code");
        }

        public int compare(String s1, String s2) {
            //compiled code
            throw new RuntimeException("Compiled Code");
        }
    }
    private final char[] value;
    private int hash;
    private static final long serialVersionUID = -6849794470754667710L;
    private static final ObjectStreamField[] serialPersistentFields;
    public static final Comparator<String> CASE_INSENSITIVE_ORDER;
    private static final int HASHING_SEED;
    private transient int hash32;

    public String() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(String original) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(char[] value) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(char[] value, int offset, int count) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(int[] codePoints, int offset, int count) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    @Deprecated
    public String(byte[] ascii, int hibyte, int offset, int count) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    @Deprecated
    public String(byte[] ascii, int hibyte) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    private static void checkBounds(byte[] bytes, int offset, int length) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes, int offset, int length, String charsetName) throws UnsupportedEncodingException {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes, int offset, int length, Charset charset) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes, String charsetName) throws UnsupportedEncodingException {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes, Charset charset) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes, int offset, int length) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(byte[] bytes) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(StringBuffer buffer) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String(StringBuilder builder) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    String(char[] value, boolean share) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    @Deprecated
    String(int offset, int count, char[] value) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int length() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean isEmpty() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public char charAt(int index) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int codePointAt(int index) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int codePointBefore(int index) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int codePointCount(int beginIndex, int endIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int offsetByCodePoints(int index, int codePointOffset) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    void getChars(char[] dst, int dstBegin) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public void getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    @Deprecated
    public void getBytes(int srcBegin, int srcEnd, byte[] dst, int dstBegin) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public byte[] getBytes(String charsetName) throws UnsupportedEncodingException {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public byte[] getBytes(Charset charset) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public byte[] getBytes() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean equals(Object anObject) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean contentEquals(StringBuffer sb) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean contentEquals(CharSequence cs) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean equalsIgnoreCase(String anotherString) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int compareTo(String anotherString) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int compareToIgnoreCase(String str) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean regionMatches(int toffset, String other, int ooffset, int len) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean regionMatches(boolean ignoreCase, int toffset, String other, int ooffset, int len) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean startsWith(String prefix, int toffset) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean startsWith(String prefix) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean endsWith(String suffix) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int hashCode() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int indexOf(int ch) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int indexOf(int ch, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    private int indexOfSupplementary(int ch, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int lastIndexOf(int ch) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int lastIndexOf(int ch, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    private int lastIndexOfSupplementary(int ch, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int indexOf(String str) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int indexOf(String str, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    static int indexOf(char[] source, int sourceOffset, int sourceCount, char[] target, int targetOffset, int targetCount, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int lastIndexOf(String str) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public int lastIndexOf(String str, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    static int lastIndexOf(char[] source, int sourceOffset, int sourceCount, char[] target, int targetOffset, int targetCount, int fromIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String substring(int beginIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String substring(int beginIndex, int endIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public CharSequence subSequence(int beginIndex, int endIndex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String concat(String str) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String replace(char oldChar, char newChar) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean matches(String regex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public boolean contains(CharSequence s) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String replaceFirst(String regex, String replacement) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String replaceAll(String regex, String replacement) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String replace(CharSequence target, CharSequence replacement) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String[] split(String regex, int limit) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String[] split(String regex) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String toLowerCase(Locale locale) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String toLowerCase() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String toUpperCase(Locale locale) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String toUpperCase() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String trim() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public String toString() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public char[] toCharArray() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String format(String format, Object[] args) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String format(Locale l, String format, Object[] args) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(Object obj) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(char[] data) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(char[] data, int offset, int count) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String copyValueOf(char[] data, int offset, int count) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String copyValueOf(char[] data) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(boolean b) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(char c) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(int i) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(long l) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(float f) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public static String valueOf(double d) {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }

    public native String intern();

    int hash32() {
        //compiled code
        throw new RuntimeException("Compiled Code");
    }
}
